%define name		libdvbpsi
%define version		1.3.0
%define release		%mkrel 1

%define major		10
%define oname		%{name}%major
%define lib_name	%mklibname dvbpsi %{major}
%define lib_name_devel  %mklibname dvbpsi -d


Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Summary(de):	Eine Bibliothek zum decodieren/generieren von MPEG-2 & DVB PSI Abschnitten
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.videolan.org/libdvbpsi/
Group:		System/Libraries
Source:		http://www.videolan.org/pub/libdvbpsi-%{version}.tar.xz
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

#german
%description -l de
ibdvbpsi ist eine einfache Bibliothek die zum decodieren und generieren von 
MPEG 2 TS und DVB PSI Tabellen entworfen wurde. Die wichtigsten Funktionen:

 *  PAT Decoder und Generator.
 *  PMT Decoder und Generator.


%package -n %{lib_name}
Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Summary(de): 	Eine Bibliothek zum decodieren/generieren von MPEG-2 & DVB PSI Abschnitten 
Group:		System/Libraries
Provides:	%name

%description -n %{lib_name}
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

#german
%description -n %{lib_name} -l de
ibdvbpsi ist eine einfache Bibliothek die zum decodieren und generieren von 
MPEG 2 TS und DVB PSI Tabellen entworfen wurde. Die wichtigsten Funktionen:

 *  PAT Decoder und Generator.
 *  PMT Decoder und Generator.

%package -n %lib_name_devel
Summary:	Development tools for programs which will use the libdvbpsi library
Summary(de): 	Entwicklungswerkzeuge für Programme, die die libdvbpsi Bibliothek verwenden
Group:		Development/Libraries
Provides:	%name-devel
Requires:	%{lib_name} = %{version}
Conflicts:	%mklibname dvbpsi 4 -d

%description -n %lib_name_devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate MPEG 2 and DVB PSI
information using the %{name} library.

If you are going to develop programs which will manipulate MPEG 2 and DVB PSI
information you should install %{name}-devel.  You'll also need to have
the %name package installed.

#german
%description -n %lib_name_devel -l de
Das libdvbpsi-devel Paket enthält die Headerdateien und statische Bibliotheken 
die zum Entwickeln von Programmen, die MPEG-2 und DVB PSI Informationen mit Hilfe 
der libdvbpsi Bibliothek benötigen verwenden. Wenn Sie Programme entwickeln, die, 
die MPEG-2 und DVB PSI Informationen bearbeiten wollen, sollten Sie libdvbpsi-devel 
installieren. Sie müssen auch das libdvbpsi Paket installiert haben. 


%prep
%setup -q

%build
%configure2_5x --enable-release --disable-static
%make 

%install
rm -rf %buildroot
%makeinstall

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf %buildroot

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %lib_name_devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdvbpsi.pc
%{_includedir}/*

%changelog
* Tue Jan 05 2016 bb <bb> 1.3.0-1pclos2016
- update

* Thu Jan 30 2014 bb <bb> 1.1.2-1pclos2014
- update

